For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
      • Custom Field Schemas
        • GETList Custom Object Custom Fields
        • POSTCreate a new Custom Object Custom Field
        • GETFetch Custom Object Custom Field's details
        • PUTUpdate a Custom Object Custom Field
        • DELDelete a Custom Object Custom Field
      • Shared Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM ConfigurationCustom FieldsCustom Object Custom Fields

List Custom Object Custom Fields

||View as Markdown|
GET
https://api.close.com/api/v1/custom_field/custom_object_type/
GET
/api/v1/custom_field/custom_object_type/
$curl https://api.close.com/api/v1/custom_field/custom_object_type/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "data": [
3 {
4 "accepts_multiple_values": true,
5 "back_reference_is_visible": true,
6 "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
7 "custom_object_type_id": "cotype_1h5m6uHM9BZOpwVhyRJb4Y",
8 "date_created": "2020-08-04T17:36:09.235000+00:00",
9 "date_updated": "2020-08-04T17:36:09.235000+00:00",
10 "description": "Account objects using this Resource.",
11 "editable_with_roles": [],
12 "id": "cf_UpyNBvr6Rw8UBHh7zRboL3PYhbOVJl3XvwgPm3jg64S",
13 "name": "Linked Accounts",
14 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
15 "referenced_custom_type_id": "cotype_4hQsScWF3hnUOyngoaAV00",
16 "required": true,
17 "type": "custom_object",
18 "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
19 },
20 {
21 "accepts_multiple_values": false,
22 "back_reference_is_visible": null,
23 "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
24 "custom_object_type_id": "cotype_4hQsScWF3hnUOyngoaAV00",
25 "date_created": "2020-07-28T20:05:36.202000+00:00",
26 "date_updated": "2020-07-28T20:05:36.202000+00:00",
27 "description": "ID from the external Account system.",
28 "editable_with_roles": [],
29 "id": "cf_cSh3fWT3rEJ1BFSezme2YAG6bPrZV5wUWKKrW4iN19g",
30 "name": "Account ID",
31 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
32 "referenced_custom_type_id": null,
33 "required": false,
34 "type": "text",
35 "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
36 }
37 ],
38 "has_more": false
39}
List all the custom object custom fields for your organization.
Was this page helpful?
Previous

Delete an Activity Custom Field

Next

Create a new Custom Object Custom Field

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error